/* D-RexGxt - D-RexGxt - GUI Design Tool for GWT
 * Copyright (c) 2008,  KPS Corporation
 * All rights reserved.
 *
 * Open Source License
 * ------------------------------------------------------------------------------------------
 * D-RexGxt is licensed under the terms of the Open Source GPL 3.0 license.
 *
 * http://www.gnu.org/licenses/gpl.html
 *
 * --
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 */
package jp.co.kpscorp.gwt.client.design.gxt.widget;

import com.extjs.gxt.ui.client.Style.LayoutRegion;
import com.extjs.gxt.ui.client.util.Margins;
import com.extjs.gxt.ui.client.widget.Component;
import com.extjs.gxt.ui.client.widget.layout.BorderLayoutData;

public class BorderLayoutDataWidget extends LayoutDataWidget {
	private BorderLayoutData data;

	public BorderLayoutDataWidget(BorderLayoutData data, Component parent) {
		super(data, parent);
		this.data = data;
	}

	public Margins getMargins() {
		return data.getMargins();
	}

	public int getMaxSize() {
		return data.getMaxSize();
	}

	public int getMinSize() {
		return data.getMinSize();
	}

	public LayoutRegion getRegion() {
		return data.getRegion();
	}

	public float getSize() {
		return data.getSize();
	}

	public boolean isCollapsible() {
		return data.isCollapsible();
	}

	public boolean isFloatable() {
		return data.isFloatable();
	}

	public boolean isSplit() {
		return data.isSplit();
	}

	public void setCollapsible(boolean collapsible) {
		data.setCollapsible(collapsible);
	}

	public void setFloatable(boolean floatable) {
		data.setFloatable(floatable);
	}

	public void setMargins(Margins margins) {
		data.setMargins(margins);
	}

	public void setMaxSize(int maxSize) {
		data.setMaxSize(maxSize);
	}

	public void setMinSize(int minSize) {
		data.setMinSize(minSize);
	}

	public void setRegion(LayoutRegion region) {
		data.setRegion(region);
	}

	public void setSize(float size) {
		data.setSize(size);
	}

	public void setSplit(boolean split) {
		data.setSplit(split);
	}
}
